︠9459cc56-9843-428b-841c-b6f20f99b676i︠
%html
<p>We want to take care about the Integration in the following worksheet. As we already know the meaning of the differentiation, which gives us the gradient in every point of the function, our question is now what will be the result of integrating a function. A remark at the begining, it will be the area between function and x-axis. To get an simple starting point let us introduce a real simple view of the area between graph of the function and x-axis. We will build the area by adding equidistant rectangles to the graph so that it will be a first approximation of our searched area. But for a graph we first need a function, let it be $f(x)=x^{5}-8.6x^{4}+25.1x^{3}-28.3x^{2}+10.4625x-0.7875$. The first question now is how does our function look like. First we will define our variables and our two needed functions.</p>

︡a46d75c1-aec9-4ca8-ac13-6266a5be49d4︡{"html": "<p>We want to take care about the Integration in the following worksheet. As we already know the meaning of the differentiation, which gives us the gradient in every point of the function, our question is now what will be the result of integrating a function. A remark at the begining, it will be the area between function and x-axis. To get an simple starting point let us introduce a real simple view of the area between graph of the function and x-axis. We will build the area by adding equidistant rectangles to the graph so that it will be a first approximation of our searched area. But for a graph we first need a function, let it be $f(x)=x^{5}-8.6x^{4}+25.1x^{3}-28.3x^{2}+10.4625x-0.7875$. The first question now is how does our function look like. First we will define our variables and our two needed functions.</p>"}︡
︠07d5f5ab-a5cd-41b7-b606-9e4b8881624d︠
var("x" "n");
f(x)=x^(5)-8.6*x^(4)+25.1*x^(3)-28.3*x^(2)+10.4625*x-0.7875;
def stair(n):
    return plot((x-0.1)*(x-0.5)*(x-1.5)*(x-3)*(x-3.5),(x,-0.1,4))+plot_step_function([(i,f(i)) for i in srange(0,4,n)],rgbcolor=(1,0,0))
︡6181c402-3084-4cba-92eb-19b3315b8628︡︡
︠efaefd56-7dfc-4a8b-bb41-1455a911cbc4︠
plot(f(x),(x,-0.1,3.6))
︡5f1601d5-0a71-4ab8-bf51-6538443e7ac3︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠80e70f61-00bd-4f49-9eed-2b336c1d65dci︠
%html
<p>Starting with the above mentioned naiv way of "finding" the area between graph and x-axis, we will build a simple function, called "Stair-function". For this Stair-function we need to split our interval, let's call it $[a,b]$ in equidistant intervals. If we like to have n equidistant intervals, every length of an interval will be $\frac{b-a}{n}$ LU (length-units). With this approach we are receive great errors for the area in the beginning, but as more intervalls we use, as smaler is getting our error.</p>
<p>First let us remember the area of an rectangle. It was defined as $a\cdot b$, so we will get for each of our above defined rectangles an Area $A_{rect}=\frac{b-a}{n}\cdot f\left(\frac{i\cdot(b-a)}{n}\right)$ AU (area-units) with $i=0,\ldots,n-1$.</p>
<p>The following graphic will show you our made aproach with intervall-lengths from 1 LU down to 0.05 LU in steps of 0.05, just use the slide to make the intervall-length greater or smaller.</p>

︡e31634ef-c7bf-49e4-b41e-432aa7946135︡{"html": "<p>Starting with the above mentioned naiv way of \"finding\" the area between graph and x-axis, we will build a simple function, called \"Stair-function\". For this Stair-function we need to split our interval, let's call it $[a,b]$ in equidistant intervals. If we like to have n equidistant intervals, every length of an interval will be $\\frac{b-a}{n}$ LU (length-units). With this approach we are receive great errors for the area in the beginning, but as more intervalls we use, as smaler is getting our error.</p>\n<p>First let us remember the area of an rectangle. It was defined as $a\\cdot b$, so we will get for each of our above defined rectangles an Area $A_{rect}=\\frac{b-a}{n}\\cdot f\\left(\\frac{i\\cdot(b-a)}{n}\\right)$ AU (area-units) with $i=0,\\ldots,n-1$.</p>\n<p>The following graphic will show you our made aproach with intervall-lengths from 1 LU down to 0.05 LU in steps of 0.05, just use the slide to make the intervall-length greater or smaller.</p>"}︡
︠fa7268f2-7ee9-4f1f-9d5b-c7a05a8bc1e9︠
@interact
def _(t1=text_control("Intervallength:"), l = slider(.05,1,.05,1)):
    show(stair(l))
︡69f58838-fc18-4da4-bea0-3620cd2ad81c︡{"html": "<!--notruncate--><div padding=6 id=\"div-interact-7\"> <table width=800px height=20px bgcolor=\"#c5c5c5\"\n                 cellpadding=15><tr><td bgcolor=\"#f9f9f9\" valign=top align=left><table><tr><td colspan=2><div style=\"color:black; padding-bottom:5px\">Intervallength:</div></td></tr>\n<tr><td align=right><font color=\"black\">l&nbsp;</font></td><td><table><tr><td>\n        <div id=\"slider-l-7\" style=\"margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;\"></div>\n        </td><td><font color=\"black\" id=\"slider-l-7-lbl\"></font></td></tr></table><script>(function(){ var values = [\"0.0500000000000000\",\"0.100000000000000\",\"0.150000000000000\",\"0.200000000000000\",\"0.250000000000000\",\"0.300000000000000\",\"0.350000000000000\",\"0.400000000000000\",\"0.450000000000000\",\"0.500000000000000\",\"0.550000000000000\",\"0.600000000000000\",\"0.650000000000000\",\"0.700000000000000\",\"0.750000000000000\",\"0.800000000000000\",\"0.850000000000000\",\"0.900000000000000\",\"0.950000000000000\",\"1.00000000000000\"]; setTimeout(function() {\n    $('#slider-l-7').slider({\n        step: 1, min: 0, max: 19, value: 19,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-l-7-lbl').text(values[position]); interact(7, '_interact_.update(\\'7\\', \\'l\\', 2, _interact_.standard_b64decode(\\''+encode64(position)+'\\'), globals()); _interact_.recompute(\\'7\\');'); },\n        slide: function(e,ui) { if(values!=null) $('#slider-l-7-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-l-7-lbl').text(values[$('#slider-l-7').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id=\"cell-interact-7\"><?__SAGE__START>\n        <table border=0 bgcolor=\"white\" width=100% height=100%>\n        <tr><td bgcolor=\"white\" align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠7afc2fb0-56a1-4024-9f46-144367e7d8a9i︠
%html
<p>As one can see in the graph above, our red "stair-function" is aproximating our function even better, if we use small intervall-lengths or with other words many intervalls.</p>
<p>If we calculate now the area between graph and x-axis we would find the following function: $A_{Graph}=\sum\limits_{i=0}^{n-1}\frac{b-a}{n}\cdot f\left(\frac{i\cdot(b-a)}{n}\right)$. Now let us create as many intervalls as possible, what would result in infinitesimal small intervall-lengths in the x-coordination. So we would do the following: $\lim\limits_{n\to\infty}\sum\limits_{i=0}^{n-1}\frac{b-a}{n}\cdot f\left(\frac{i\cdot(b-a)}{n}\right)=\int\limits_{a}^{b}f(x)dx=\left[F(x)\right]_{a}^{b}=F(b)-F(a)$.</p>
<p>Let us first collect some the important functions and their intergrals:</p>
<table border="0" cellpadding="2" align="center">
<caption>Important Integrals</caption> 
<tbody>
<tr>
<td>$f(x)$</td>
<td>$F(x)$</td>
<td>$f(x)$</td>
<td>$F(x)$</td>
</tr>
<tr>
<td>$0$</td>
<td>$c$</td>
<td>$x^{n}$</td>
<td>$\frac{1}{n+1}x^{n+1}+c$</td>
</tr>
<tr>
<td>$a$</td>
<td>$ax+c$</td>
<td>$a_{n}x^{n}+a_{n-1}x^{n-1}+\ldots+a_{1}x+a_{0}$</td>
<td>$\frac{a_{n}}{n+1}x^{n+1}+\frac{a_{n-1}}{n}x^{n}+\ldots+\frac{a_{1}}{2}x^{2}+a_{0}x+c$</td>
</tr>
<tr>
<td>$\sin(x)$</td>
<td>$-\cos(x)+c$</td>
<td>$\cos(x)$</td>
<td>$\sin(x)+c$</td>
</tr>
<tr>
<td>$-\sin(x)$</td>
<td>$\cos(x)+c$</td>
<td>$-\cos(x)$</td>
<td>$-\sin(x)+c$</td>
</tr>
<tr>
<td>$\exp(x)$</td>
<td>$\exp(x)+c$</td>
<td>$\frac{1}{x}$</td>
<td>$\ln(x)$</td>
</tr>
<tr>
<td>$\ln(x)$</td>
<td>$x\ln(x)-x+c$ <br /></td>
<td>$\frac{1}{x^{n}}$</td>
<td>$-\frac{1}{(n-1)\cdot x^{n-1}}+c$<br /></td>
</tr>
</tbody>
</table>
<p>Let us for an easy approach take a look at $h(x):=x-5$, what we wanna like to get is the area in the interval $[0,10]$. Therefor we calculate directly:</p>
<p>$\int\limits_{0}^{10}h(x)dx=\int\limits_{0}^{10}(x-5)dx=\left[\frac{1}{2}x^{2}-5x+c\right]_{0}^{10}=\frac{1}{2}10^{2}-5\cdot 10+c-\frac{1}{2}0^{2}+5\cdot 0-c=0$.</p>
<p>But what happened here? As we see in the following graph, there is at least one area that the function has in common with the x-axis, exactly in our interval we receive two areas!</p>

︡d37917c7-9514-4b6f-92ff-eecbfb27ad62︡{"html": "<p>As one can see in the graph above, our red \"stair-function\" is aproximating our function even better, if we use small intervall-lengths or with other words many intervalls.</p>\n<p>If we calculate now the area between graph and x-axis we would find the following function: $A_{Graph}=\\sum\\limits_{i=0}^{n-1}\\frac{b-a}{n}\\cdot f\\left(\\frac{i\\cdot(b-a)}{n}\\right)$. Now let us create as many intervalls as possible, what would result in infinitesimal small intervall-lengths in the x-coordination. So we would do the following: $\\lim\\limits_{n\\to\\infty}\\sum\\limits_{i=0}^{n-1}\\frac{b-a}{n}\\cdot f\\left(\\frac{i\\cdot(b-a)}{n}\\right)=\\int\\limits_{a}^{b}f(x)dx=\\left[F(x)\\right]_{a}^{b}=F(b)-F(a)$.</p>\n<p>Let us first collect some the important functions and their intergrals:</p>\n<table border=\"0\" cellpadding=\"2\" align=\"center\">\n<caption>Important Integrals</caption> \n<tbody>\n<tr>\n<td>$f(x)$</td>\n<td>$F(x)$</td>\n<td>$f(x)$</td>\n<td>$F(x)$</td>\n</tr>\n<tr>\n<td>$0$</td>\n<td>$c$</td>\n<td>$x^{n}$</td>\n<td>$\\frac{1}{n+1}x^{n+1}+c$</td>\n</tr>\n<tr>\n<td>$a$</td>\n<td>$ax+c$</td>\n<td>$a_{n}x^{n}+a_{n-1}x^{n-1}+\\ldots+a_{1}x+a_{0}$</td>\n<td>$\\frac{a_{n}}{n+1}x^{n+1}+\\frac{a_{n-1}}{n}x^{n}+\\ldots+\\frac{a_{1}}{2}x^{2}+a_{0}x+c$</td>\n</tr>\n<tr>\n<td>$\\sin(x)$</td>\n<td>$-\\cos(x)+c$</td>\n<td>$\\cos(x)$</td>\n<td>$\\sin(x)+c$</td>\n</tr>\n<tr>\n<td>$-\\sin(x)$</td>\n<td>$\\cos(x)+c$</td>\n<td>$-\\cos(x)$</td>\n<td>$-\\sin(x)+c$</td>\n</tr>\n<tr>\n<td>$\\exp(x)$</td>\n<td>$\\exp(x)+c$</td>\n<td>$\\frac{1}{x}$</td>\n<td>$\\ln(x)$</td>\n</tr>\n<tr>\n<td>$\\ln(x)$</td>\n<td>$x\\ln(x)-x+c$ <br /></td>\n<td>$\\frac{1}{x^{n}}$</td>\n<td>$-\\frac{1}{(n-1)\\cdot x^{n-1}}+c$<br /></td>\n</tr>\n</tbody>\n</table>\n<p>Let us for an easy approach take a look at $h(x):=x-5$, what we wanna like to get is the area in the interval $[0,10]$. Therefor we calculate directly:</p>\n<p>$\\int\\limits_{0}^{10}h(x)dx=\\int\\limits_{0}^{10}(x-5)dx=\\left[\\frac{1}{2}x^{2}-5x+c\\right]_{0}^{10}=\\frac{1}{2}10^{2}-5\\cdot 10+c-\\frac{1}{2}0^{2}+5\\cdot 0-c=0$.</p>\n<p>But what happened here? As we see in the following graph, there is at least one area that the function has in common with the x-axis, exactly in our interval we receive two areas!</p>"}︡
︠acc31007-4207-42d0-bffa-e27f6e93bfec︠
h(x)=x-5;
plot(h(x),(x,-1,11))
︡d52b5217-cec1-433d-b8ab-6c8d9b751e5b︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠daca9174-7c52-41b7-a6ef-c50fdd4a6897i︠
%html
<p>As a first result we should notice, that our integral delivers oriented areas, and with that in mind our above found result isn't so worse, as both areas we see are from exactly the same size and nullify themself. As we wanna have the area that the graph and the x-axis have together, we need to devide the integral into two single ones. Our dividing points would be the roots of the function. As $h(x)$ has in $x=5$ a root, and it is the only root of the function, we see more that the function is vor values $x&lt;5$ negative and for values $x\geq 5$ positiv. As it is in most cases not so easy to see where a function is positiv and where negative, we can use a nice and simple trick by using the absolute value. So we get:</p>
<p>$A_{h(x),x=0}=\left\vert\int\limits_{0}^{5}h(x)dx\right\vert+\left\vert\int\limits_{5}^{10}h(x)dx\right\vert$</p>
<p>and that will deliver us</p>
<p>$A_{h(x),x=0}=\left\vert\left[\frac{1}{2}x^{2}-5x\right]_{0}^{5}\right\vert+\left\vert\left[\frac{1}{2}x^{2}-5x\right]_{5}^{10}\right\vert=\left\vert\frac{1}{2}5^{2}-5\cdot  5-\frac{1}{2}0^{2}+5\cdot  0\right\vert+\left\vert\frac{1}{2}10^{2}-5\cdot 10-\frac{1}{2}\cdot  5^{2}+5\cdot  5\right\vert=\left\vert-\frac{25}{2}\right\vert+\left\vert\frac{25}{2}\right\vert=\frac{25}{2}+\frac{25}{2}=25$</p>
<p>Now let the PC proof our calculations.</p>

︡f920d9ef-5924-48f4-822a-b28fc399b209︡{"html": "<p>As a first result we should notice, that our integral delivers oriented areas, and with that in mind our above found result isn't so worse, as both areas we see are from exactly the same size and nullify themself. As we wanna have the area that the graph and the x-axis have together, we need to devide the integral into two single ones. Our dividing points would be the roots of the function. As $h(x)$ has in $x=5$ a root, and it is the only root of the function, we see more that the function is vor values $x&lt;5$ negative and for values $x\\geq 5$ positiv. As it is in most cases not so easy to see where a function is positiv and where negative, we can use a nice and simple trick by using the absolute value. So we get:</p>\n<p>$A_{h(x),x=0}=\\left\\vert\\int\\limits_{0}^{5}h(x)dx\\right\\vert+\\left\\vert\\int\\limits_{5}^{10}h(x)dx\\right\\vert$</p>\n<p>and that will deliver us</p>\n<p>$A_{h(x),x=0}=\\left\\vert\\left[\\frac{1}{2}x^{2}-5x\\right]_{0}^{5}\\right\\vert+\\left\\vert\\left[\\frac{1}{2}x^{2}-5x\\right]_{5}^{10}\\right\\vert=\\left\\vert\\frac{1}{2}5^{2}-5\\cdot  5-\\frac{1}{2}0^{2}+5\\cdot  0\\right\\vert+\\left\\vert\\frac{1}{2}10^{2}-5\\cdot 10-\\frac{1}{2}\\cdot  5^{2}+5\\cdot  5\\right\\vert=\\left\\vert-\\frac{25}{2}\\right\\vert+\\left\\vert\\frac{25}{2}\\right\\vert=\\frac{25}{2}+\\frac{25}{2}=25$</p>\n<p>Now let the PC proof our calculations.</p>"}︡
︠36327cba-6701-4fa0-9d73-3cabdd4bade7︠
integral(x-5,(x,0,10))
︡aaa8d09b-1d12-457e-a5a6-ed16f2a14308︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}0</span>"}︡
︠b65051c2-a5c0-41dc-8f2d-51cf90cc7eb7︠
abs(integral(x-5,(x,0,5)))+abs(integral(x-5,(x,5,10)))
︡031a2232-82e1-4a96-9b0f-d39a8ca3e2f4︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}25</span>"}︡
︠2a3878c9-0d5a-4d7b-b2b1-f7bd83ce8712i︠
%html
<p>As seen above, integrals represent oriented areas, and that can result in the worsest case in nullifying the areas or a lower area as we search. As a result we need to take care of what we are looking for, an integral or an area. If we are looking for an integral, we don't need to care for anything, but if we search for the area, we need to integrate the function between their roots, and build the absolute value of negative oriented areas.</p>
<p>In the follwoing we are looking for an area covered by two functions. Let us take $f(x)$ from our example above and $i(x)=2x$. First show the graphs so we know of what we are talking.</p>

︡e3775cd8-1f9f-4edb-b0ff-fbe7df064766︡{"html": "<p>As seen above, integrals represent oriented areas, and that can result in the worsest case in nullifying the areas or a lower area as we search. As a result we need to take care of what we are looking for, an integral or an area. If we are looking for an integral, we don't need to care for anything, but if we search for the area, we need to integrate the function between their roots, and build the absolute value of negative oriented areas.</p>\n<p>In the follwoing we are looking for an area covered by two functions. Let us take $f(x)$ from our example above and $i(x)=2x$. First show the graphs so we know of what we are talking.</p>"}︡
︠94358281-977b-486d-86dc-702c4b55903e︠
i(x)=2*x-5;
plot(f(x),(x,-.5,4))+plot(i(x),(x,-.5,4),rgbcolor=(1,0,0))
︡98117148-9dba-4c38-bf36-5519793da64d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠496564aa-b50c-4a53-93fe-441f862af6ffi︠
%html
<p>The above picture shows us what areas we want to calculate. As our functions have 3 points together we first need to find them and integrate from the first to the second, from the second to the third intersection and so on. Finding the intersections of $f$ and $i$ is simple done by solving the following equation:</p>
<p>$f(x)=i(x)$.</p>

︡c542f0f9-5bd9-4136-add9-9a75df5e1423︡{"html": "<p>The above picture shows us what areas we want to calculate. As our functions have 3 points together we first need to find them and integrate from the first to the second, from the second to the third intersection and so on. Finding the intersections of $f$ and $i$ is simple done by solving the following equation:</p>\n<p>$f(x)=i(x)$.</p>"}︡
︠949465aa-ff3e-4115-98f4-ed50f646b665︠
find_root(f(x)-i(x),-2,0)
︡72c77287-9da9-4e48-94e7-8f68c45e01a3︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}-0.246438779676</span>"}︡
︠dd4a68f1-0de8-4744-9f68-d339141706db︠
find_root(f(x)-i(x),0,3)
︡0badd556-0760-4bc1-a5eb-3ec2ca643278︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}2.86955981216</span>"}︡
︠31f8a6f9-c792-4545-b1a7-f2465fc0c693︠
find_root(f(x)-i(x),3,4)
︡4d7e2126-4aad-4e46-9b53-3f3aa65fe9d5︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}3.64775146638</span>"}︡
︠94761b5b-e160-4f02-a2ae-f66af5638e30i︠
%html
<p>By approximation we found the intersections and they will be our interval-boarders. If we now calculate with these boarders we will receive the following area:</p>

︡c97c5c2f-ca87-4a18-b137-a52cebdb7798︡{"html": "<p>By approximation we found the intersections and they will be our interval-boarders. If we now calculate with these boarders we will receive the following area:</p>"}︡
︠043801ef-886b-495a-bb7c-a063c154c4ec︠
abs(integral(f(x)-i(x),(x,find_root(f(x)-i(x),-2,0),find_root(f(x)-i(x),0,3))))+abs(integral(f(x)-i(x),(x,find_root(f(x)-i(x),0,3),find_root(f(x)-i(x),3,4))))
︡de3e33c0-e787-4fde-824d-3fb8326b4149︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}9.81634090586</span>"}︡
︠8a4ba13d-91f0-4136-8e92-516dc20d4614i︠
%html
<p>The result delivers us that our two functions cover together an area of 9.82 AU.</p>

︡9f982150-895c-491e-8e2f-abab2c3ffc57︡{"html": "<p>The result delivers us that our two functions cover together an area of 9.82 AU.</p>"}︡
